/// <reference types="bull" />
import { DataSource } from 'apollo-datasource';
import { MetricsCollector } from '../../../services/metrics-collector';
export declare enum ErrorEnum {
    NO_COLLECTOR = "Metrics is not enabled"
}
export declare class MetricsDataSource extends DataSource {
    private _internalCollector?;
    constructor(_internalCollector?: MetricsCollector | undefined);
    getMetrics(queue: string, start?: number, end?: number): Promise<{
        queue: string;
        timestamp: number;
        counts: import("bull").JobCounts;
    }[]>;
    clearAllMetrics(): Promise<boolean>;
    clearMetrics(queue: string): Promise<boolean>;
    private _throwInternalError;
    private _throwNoCollector;
    private get _collector();
}
