"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryResolver = void 0;
exports.queryResolver = {
    Query: {
        redisInfo(_, __, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getRedisInfo();
            });
        },
        metrics(_, args, { dataSources: { metrics } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield metrics.getMetrics(args.queue, args.start, args.end);
            });
        },
        queues(_, __, { dataSources: { bull } }) {
            return bull.getQueues();
        },
        queue(_, args, { dataSources: { bull } }) {
            return bull.getQueueByName(args.name);
        },
        jobs(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueJobs(args);
            });
        },
        job(_parent, { queue, id }, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getJob(queue, id);
            });
        },
    },
};
//# sourceMappingURL=query.js.map