import type { Queue, JobCounts } from 'bull';
import { MetricsConfig } from '../typings/config';
declare type TMetrics = {
    queue: string;
    timestamp: number;
    counts: JobCounts;
};
export declare class MetricsCollector {
    private _config;
    constructor(queues: Queue[], _config: Required<MetricsConfig>);
    startCollecting(): void;
    stopCollecting(): void;
    extract(queue: string, start?: number, end?: number): Promise<TMetrics[]>;
    clear(queue: string): Promise<void>;
    clearAll(): Promise<void>;
    private _queues;
    private _scheduler;
    private _job;
    private _maybeCreateJob;
    private _taskFn;
    private _collect;
    private _persist;
    private _buildPersistKey;
    private get _redisClient();
}
export {};
